import java.util.Scanner;

public class TCPClientTest 
{
    public static final int BUFFER_SIZE = 512;
    TCPClient client;
    byte[] sendData;
  
    TCPClientTest(String dest, int port) {
        client = new TCPClient(dest, port);
        sendData = new byte[BUFFER_SIZE];
    }
  
    public void paddingBytesArray(byte[] dest, int newSize, byte[] src, int size) {
        for (int i = 0; i < size; i++) {
		        dest[i] = src[i];
        }
        for (int i = size; i < newSize; i++) {
            dest[i] = 0;
	      }
    }
  
    public void send(String s) {
        if (client != null) {
	          paddingBytesArray(sendData, BUFFER_SIZE, s.getBytes(), s.length());
	          client.write(sendData, BUFFER_SIZE, true);	
	      }
    }
  
    public static void main(String[] args) {
        TCPClientTest t = new TCPClientTest(args[0], Integer.parseInt(args[1]));
	    Scanner input = new Scanner(System.in);
	    String text = "";
	    while (text.compareTo("EXIT") != 0) {
		    System.out.print("Type your text: ");
		    text = input.nextLine();
		    t.send(text);	  
	    }
    }
}